import { TabMiningI } from '../../types';
import { MiningStatusE } from '@dodoex/api';
export declare function useStatusAndStartBlockNumber({ miningItem, }: {
    miningItem: TabMiningI;
}): {
    status: MiningStatusE;
    miningStatusList: {
        status: MiningStatusE;
        firstStartTime: import("bignumber.js").BigNumber | undefined;
        lastEndTime: import("bignumber.js").BigNumber | undefined;
        currentTime: import("bignumber.js").BigNumber;
    }[];
};
